import { CommonFilterService } from './../common-filter/common-filter.service';
import { CommonFilterComponent } from './../common-filter/common-filter.component';
import { UserFilterService } from './user-filter.service';
import { User } from '../../../lib/core/user/user.types';
import { OnInit, SimpleChanges, AfterViewInit } from '@angular/core';
import { AxExpTextList } from '../../enlighten-lib/ax-expression/ax-exp-text-list';
import { AxOperator } from '../../enlighten-lib/filters/ax-operator';
import * as i0 from "@angular/core";
export declare class UserFilterComponent extends CommonFilterComponent implements OnInit, AfterViewInit {
    private _userFilterService;
    users: Array<User>;
    stringOperators: Array<AxOperator>;
    expressionValue: AxExpTextList;
    /**
     * Constructor
     *
     * @param _userFilterService
     */
    constructor(_userFilterService: UserFilterService, _commonFilterService: CommonFilterService);
    /**
     * ngOnChanges use to change the current page object
     */
    ngOnChanges(changes: SimpleChanges): void;
    /**
     * On init life cycle hook.
     */
    ngOnInit(): void;
    /**
     * Get called after view render
     */
    ngAfterViewInit(): void;
    /**
     * THis will reset Filter value.
     */
    resetFilter(): void;
    /**
     * This function clear the filter value.
     */
    clearValue(): void;
    /**
     * Register panel scroll event (this is listener for mat options scroll.)
     */
    registerPanelScrollEvent(): void;
    /**
     *De-Select Expression values
     *
     * @param selectedValue
     */
    clearAllValue(): void;
    /**
     * Set Default Value
     */
    setDefaultValue(): void;
    /**
     * Get Apps users
     */
    getAppUsers(): void;
    setDisplayValue(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<UserFilterComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<UserFilterComponent, "lib-user-filter", never, {}, {}, never, never>;
}
